Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lp.trans
Class EvolpVarTransformerTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              lp.trans.EvolpTransformerTest
                  lp.trans.EvolpVarTransformerTest

All Implemented Interfaces:
  Test

    public class EvolpVarTransformerTest

extends EvolpTransformerTest

Contains tests of the `EvolpVarTransformer` class.

Version:
  0.5
Author:
  Martin Slota
See Also:
  `EvolpVarTransformer`

Field Summary
`private DlpTransformer` | `dlpTrans`
`private EvolpVarTransformer` | `evolpTrans`

Fields inherited from class lp.trans.EvolpTransformerTest
`parser`

Constructor Summary
`EvolpVarTransformerTest(String testName)`

Method Summary
`protected void` | `doTest(String filename)` Reads both the input program and the expected results from the file `filename`.

Methods inherited from class lp.trans.EvolpTransformerTest
`testSimple, testSuitcase`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### evolpTrans

    private final EvolpVarTransformer evolpTrans

### dlpTrans

    private final DlpTransformer dlpTrans

Constructor Detail

### EvolpVarTransformerTest

    public EvolpVarTransformerTest(String testName)

Method Detail

### doTest

    protected void doTest(String filename)
                   throws IOException

  Description copied from class: `EvolpTransformerTest`
  Reads both the input program and the expected results from the file `filename`.

  Overrides:
    `doTest` in class `EvolpTransformerTest`
  Parameters:
    `filename` - the path to the file that contains both the input program and the expected transformed program.
  Throws:
    `IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD